---
editUrl: false
next: false
prev: false
title: "Logging"
---

## Since

2.0.0

## Type parameters

• **T** = `unknown`

## Methods

### debug()

> **debug**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v3/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/contracts/logging.ts:8](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/core/contracts/logging.ts#L8)

***

### error()

> **error**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v3/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/contracts/logging.ts:5](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/core/contracts/logging.ts#L5)

***

### info()

> **info**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v3/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/contracts/logging.ts:7](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/core/contracts/logging.ts#L7)

***

### warning()

> **warning**(`payload`): `void`

#### Parameters

• **payload**: [`LogPayload`](/v3/api/type-aliases/logpayload/)\<`T`\>

#### Returns

`void`

#### Source

[src/core/contracts/logging.ts:6](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/core/contracts/logging.ts#L6)
